Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.search
Class SearchValidator

    java.lang.Object
      oracle.ifs.search.SearchValidator

    public class SearchValidator

extends java.lang.Object

The `SearchValidator` class encapsulates validation functionality.

See Also:
  `SearchSpecification`, `SearchQualification`, `Search`
(Unpublished)

Field Summary
`protected LibrarySession` | `m_Session`

Method Summary
`protected static SearchValidator` | `constructValidator(LibrarySession sess)`
`static void` | `disposeValidator(LibrarySession session)` Disposes any previously-constructed SearchValidator for the specified session.
`protected ClassObject` | `findClass(AttributeSearchSpecification asp, java.lang.Long classId)`
`protected ClassObject` | `findClass(AttributeSearchSpecification asp, java.lang.String cName)`
`protected ClassObject` | `findClass(java.lang.String cName)`
`protected boolean` | `isMVDataType(int dataType)`
`protected boolean` | `isScalarDataType(int dataType)`
`protected boolean` | `requiresSqlView(ClassObject cls, Attribute attr)`
`protected void` | `setAttribute(AttributeQualification aq, Attribute attr)`
`protected void` | `validate(AttributeSearchSpecification asp)`
`protected void` | `validate(ContextSearchSpecification csp)`
`protected Attribute` | `validateAttribute(ClassObject cls, java.lang.String name)`
`protected void` | `validateFolder(FolderRestrictQualification fq)`
`protected void` | `validateObject(java.lang.Long id, int type)`
`protected void` | `validatePublicObjectClass(java.lang.String clssName)`
`protected void` | `validateQuery(ContextQualification cq)`
`protected Attribute` | `validateScalarAttribute(ClassObject co, java.lang.String attributeName)`
`protected void` | `validateValue(AttributeQualification aq)`
`protected void` | `validateValue(ContextQualification cq)` Validates the query term used for ContextQualification.
`protected void` | `validateValue(FreeFormQualification ffq)`
`protected void` | `validateValue(PropertyQualification pq)`
`protected void` | `validateValue(SubstringQualification sq)` Validates the query term used for SubstringQualification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Session

    protected LibrarySession m_Session

(Unpublished)

Method Detail

### constructValidator

    protected static SearchValidator constructValidator(LibrarySession sess)

  (Unpublished)

### disposeValidator

    public static void disposeValidator(LibrarySession session)

  Description copied from class: `SearchValidator`
  Disposes any previously-constructed SearchValidator for the specified session.

  Parameters:
    `session` - the session
  (Unpublished)

### validate

    protected void validate(AttributeSearchSpecification asp)
                     throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validate

    protected void validate(ContextSearchSpecification csp)
                     throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### findClass

    protected ClassObject findClass(AttributeSearchSpecification asp,
                                    java.lang.String cName)
                             throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### findClass

    protected ClassObject findClass(AttributeSearchSpecification asp,
                                    java.lang.Long classId)
                             throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### findClass

    protected ClassObject findClass(java.lang.String cName)
                             throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateAttribute

    protected Attribute validateAttribute(ClassObject cls,
                                          java.lang.String name)
                                   throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### requiresSqlView

    protected boolean requiresSqlView(ClassObject cls,
                                      Attribute attr)
                               throws IfsException

  Throws:
    `IfsException`

### setAttribute

    protected void setAttribute(AttributeQualification aq,
                                Attribute attr)
                         throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateObject

    protected void validateObject(java.lang.Long id,
                                  int type)
                           throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateValue

    protected void validateValue(AttributeQualification aq)
                          throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateValue

    protected void validateValue(PropertyQualification pq)
                          throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateValue

    protected void validateValue(SubstringQualification sq)
                          throws IfsException

  Description copied from class: `SearchValidator`
  Validates the query term used for SubstringQualification. It escapes any single quote characters embedded in the term.

  Parameters:
    `sq` - SubstrinQualification for validation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### validateValue

    protected void validateValue(ContextQualification cq)
                          throws IfsException

  Description copied from class: `SearchValidator`
  Validates the query term used for ContextQualification. It escapes any single quote characters embedded in the term.

  Parameters:
    `cq` - ContextQualification for validation
  Throws:
    `IfsException` - if the operation fails
  (Published)

### validateValue

    protected void validateValue(FreeFormQualification ffq)
                          throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateFolder

    protected void validateFolder(FolderRestrictQualification fq)
                           throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateQuery

    protected void validateQuery(ContextQualification cq)
                          throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validatePublicObjectClass

    protected void validatePublicObjectClass(java.lang.String clssName)
                                      throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### validateScalarAttribute

    protected Attribute validateScalarAttribute(ClassObject co,
                                                java.lang.String attributeName)
                                         throws IfsException

  Throws:
    `IfsException`
  (Unpublished)

### isMVDataType

    protected boolean isMVDataType(int dataType)

  (Unpublished)

### isScalarDataType

    protected boolean isScalarDataType(int dataType)

  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD